package org.telosys.tools.generator.context;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * The current system date and time
 *  
 * @author Laurent GUERIN
 *
 */
public class Today
{
    private static final SimpleDateFormat defaultDateFormat = new SimpleDateFormat("d MMM yyyy");
    private static final SimpleDateFormat defaultTimeFormat = new SimpleDateFormat("HH:mm:ss");
    
    public String getDate()
    {
        return defaultDateFormat.format( new Date() );
    }
    public String date( String sFormat )
    {
        SimpleDateFormat frm = new SimpleDateFormat(sFormat);
        return frm.format( new Date() );
    }

    public String getTime()
    {
        return defaultTimeFormat.format( new Date() );
    }
    
    public String time( String sFormat )
    {
        SimpleDateFormat frm = new SimpleDateFormat(sFormat);
        return frm.format( new Date() );
    }
}