package org.telosys.tools.generator;

/**
 * Generator constants definition
 * 
 * @author Sylvain Leroy & Laurent Guerin
 *  
 */
public class GeneratorConst {

	public final static String BEAN_CLASS_CONTEXT_NAME       = "beanClass" ;
	public final static String LIST_CLASS_CONTEXT_NAME       = "listClass" ;
	public final static String DAO_CLASS_CONTEXT_NAME        = "daoClass" ;
	public final static String CONVERTER_CLASS_CONTEXT_NAME  = "xmlClass" ;

	public final static String CURRENT_CLASS_CONTEXT_NAME    = "class" ;

	
	public final static int JAVA_CLASS_TYPE_UNDEFINED = 0 ;
	public final static int JAVA_CLASS_TYPE_BEAN      = 1 ;
	public final static int JAVA_CLASS_TYPE_LIST      = 2 ;
	public final static int JAVA_CLASS_TYPE_DAO       = 3 ;
	public final static int JAVA_CLASS_TYPE_CONVERTER = 4 ;
	
}