package org.telosys.tools.generator.context;

/**
 * The context for an entity ( the 4 standard Java Classes of the entity ) : <br>  
 * . Bean (VO) : JavaBeanClass <br>
 * . Bean List : JavaClass <br>
 * . Bean DAO  : JavaClass <br>
 * . Bean Conv : JavaClass <br>
 * <br>
 * 
 * @author L. Guerin
 *
 */
public class EntityContext 
{
	private JavaBeanClass  beanClass ;
	
	private JavaClass  listClass ;

	private JavaClass  daoClass ;
	
	//private JavaClass  daoInterface ; // TODO ???
	
	private JavaClass  converterClass ;

	//private JavaClass  convertorInterface ; // TODO ???
	

	//------------------------------------------------------------------
	public JavaBeanClass getBeanClass() {
		return beanClass;
	}

	public void setBeanClass(JavaBeanClass beanClass) {
		this.beanClass = beanClass;
	}

	
	//------------------------------------------------------------------
	public JavaClass getConverterClass() {
		return converterClass;
	}

	public void setConverterClass(JavaClass converterClass) {
		this.converterClass = converterClass;
	}

	
	//------------------------------------------------------------------
	public JavaClass getDaoClass() {
		return daoClass;
	}

	public void setDaoClass(JavaClass daoClass) {
		this.daoClass = daoClass;
	}

	
	//------------------------------------------------------------------
	public JavaClass getListClass() {
		return listClass;
	}

	public void setListClass(JavaClass listClass) {
		this.listClass = listClass;
	}

}
